
canskip=false;
level10mini11=false
-- function MessageFromMenu(nCount,Param1)

-- showoptons(0);
-- return;end;
mini2lvl10=true
function mini_create ()
show_help_wnd=true;
	init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ "КРАДУЧЕНИЕ"
--  1-й параметр - Код игры. Код для этой игры - 29.
--  2-й параметр - Идентификатор объекта, за пересечением с которым нужно следить.
--  3-й параметр - X-координата верхнего левого угла целевого прямоугольника.
--  4-й параметр - Y-координата верхнего левого угла целевого прямоугольника.
--  5-й параметр - X-координата нижнего правого угла целевого прямоугольника.
--  6-й параметр - Y-координата нижнего правого угла целевого прямоугольника.
	create_mini(29,1004,518,220,564,265,1005);

end;
--function mini_msg_proc (id)
-- CreateConsole()
function gameinput (sender,id,attachedID)
MiniInterfaceHandler( sender, id );
-- c("sender== "..sender.."\n")
	if sender==100 then
		AddLineStrip(2016)
		StartLineStrip(2016)		
		playeffect("083",true)
	return;end;
	
	if sender==30 then
	if mini_start then
			StopAllEffects()
			setstatemenu()
			StopMusic()
			mini_start=false;
		return;end
	flags.mini_go2=false;
	flags.mini2_complete=true;
	flags.mini2=true----------------------перенести в комикс
		SetCurrentLeaf("museum",10,0);
		BlockCursor(false)
			ReturnHiddenObjects()      
			DeleteRenderTarget(2234)  	
			DeleteRenderTarget(2235)
			leafobj={}	
			
		OpenPlushes()
		FreeCustomCursor(1016);
	
		speciale_action(2,227,true)----------------------перенести в комикс
		set_visible_object(226,true)
		playeffect("084")
		Set_Cursor(226,1)
		flags.start_draw = true;
		set_visible_object(1006,false)
		set_visible_object(1007,false)
			StopEmiter("plan")
			Set_Cursor(225,3)
			mini2lvl10=false
	return; end;
	
	if sender==777 then
			flags.mini22_complite=true;
			clear_satelite_leaf("museum");
	end
	
	
	if sender == 33 then	
				CreateWindow(CWX,CWY,"667",47575,nil,100,230);		
				speciale_action(2,obj.arrow3.id);	
				speciale_action(2,obj.arrow4.id);	
				speciale_action(4,obj.arrow3.id)
				speciale_action(4,obj.arrow4.id)
				StartAnimation(obj.arrow3.id)
				StartAnimation(obj.arrow4.id)
				playeffect("018")
				StartTimer(444,5);
	return; end;
	if sender==16 then		
	   BlockCursor(false)
	return;end;
	if sender==26 then
		SetCursorPos(518,722)
		RemoveWindow(8,2.8,"DestroyMyWindow")
	return;end;
	
	if sender==36 then
	if id==444 then
				PauseAnimation(obj.arrow3.id,true)
				PauseAnimation(obj.arrow4.id,true)
				speciale_action(2,obj.arrow3.id);	
				speciale_action(2,obj.arrow4.id);	
	end
		if id==2100 then
		BlockCursor(false);

		leafobj={2235}
		GetRenderTarget(2235,"rendertar1");	
		function rendertar1(tex_name,tex_id)
			FlipVertical(2235);
			SetAlfa(2235,0,1,0,"vasea3353523")
			SetObjectPosition(2235,0,-256);
			LeaveObjectsOnReder("leafobj");
			ClosePlushes();			
		return end
plushes_were_closed = true;
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		mini_start=false;
	    StopLineStrip(2016);
		flags.minicomplete2=true;
		flags.mini1_complete2=true;
		StartTimer(2100,0.5)
		BlockCursor(true);
			 finish_mini_game(false)
	return; end;
	
	if sender==6 then
	
	StopEffect("083")
	end
	
	if sender==1 then	
	-- MiniInterfaceHandler( sender, id );	
		-- if id == obj.mini_skip.id then
			-- finish_mini_game(true);
		-- elseif id == obj.mini_help1.id then
			-- CreateWindow(CWX,CWY,"667",754,nil,100,230);
		-- end;
		if not flags.minicomplete2 then
			-- if id==1000 then
				 -- addObjectToMouse(id);
			-- return;end;
			if id==5000 and skipping and attachedID==-1 then
				playeffect("skip");
				finish_mini_game(true);
			return;end;
			if id==1001 and attachedID==-1 then
				playeffect("close");
				clear_satelite_leaf("museum");
				finish_mini_game(false);
				DeleteResource("am1_walls");
				DeleteResource("am1_bg");
			return;end;
		return;end;
	return;end;
	
	
end;
function mini_delete ()

end;
function Recapture(nCount,Param1,Param2,Param3)
-- c("EEE")
 -- messagebox("Capture at ".."("..Param1..";"..Param2..")");
	if Param3==1 then 
	   CreateWindow(CWX,CWY,"107",3432,nil,100,230);
	 
	   StopLineStrip(2016);
	   ClearLineStrip(2016);
	 
	return;end;
   
  -- SetCursorPos(550,580)
  CreateWindow(CWX,CWY,"106",6858,nil,100,230);

   StopLineStrip(2016);
   ClearLineStrip(2016);
   end;
function Start(nCount)
SetCursorPos(519,724)
WaitRender()


--нажимает
end;
function Finish(nCount)
  finish_mini_game(true);
 -- messagebox("Finish");
end;